/*************************************************************************************************************************
2. Create Cohort File
**************************************************************************************************************************/

%let basename = C:/Public_Training_Materials/Lab;	

libname out "&basename./public_mpl1r_wp001_synpufs_v01/inputfiles";
%let wpnum = wp001 ; 
%let grouplist = typ_is typ_ich atyp_is atyp_ich ; 
%let groupcount = %sysfunc(Countw(&grouplist));	
options mlogic mprint symbolgen;
ods listing close;

%macro cohortcreate(cohortlist);

proc datasets lib=work nolist nowarn; 
	delete cohort; 
quit;

%let cohortcount = %sysfunc(Countw(&&&cohortlist));

%do a = 1 %to &cohortcount;
	%let curr_name = %scan(&&&cohortlist, &a);

	data work.cht;
	format cohortgrp $40. coverage $2. enrolgap 8. enrdays 8. enrdaysaftind 8. type1 $1. type2 $1. type3 $1. type4 $1. type5 $1. type6 $1.
			chartres $1. sex $3. race $1. hispanic $1. agestrat $100.;
	cohortgrp = "&curr_name";
	coverage = 'MD'; /* Coverage Type Requirement; Valid values: 'MD' 'M' or 'D' for medical and drug, medical only, or drug only*/
	enrolgap = 45 ; /* Enrollment Gap; Numerical */
	enrdays = 183 ; /* Minimum Pre-Index Enrollment Days; Numerical*/
	enrdaysaftind = .; 
	type1 = 'N'; /* Type 1 Cohort Identification Strategy Indicator; Valid values: 'Y' or 'N' */
	type2 = 'Y'; /* Type 2 Cohort Identification Strategy Indicator; Valid values: 'Y' or 'N' */
	type3 = 'N'; /* Type 3 Cohort Identification Strategy Indicator; Valid values: 'Y' or 'N' */
	type4 = 'N'; /* Type 4 Cohort Identification Strategy Indicator; Valid values: 'Y' or 'N' */
	type5 = 'N'; /* Type 5 Cohort Identification Strategy Indicator; Valid values: 'Y' or 'N' */
	type6 = 'N'; /* Type 6 Cohort Identification Strategy Indicator; Valid values: 'Y' or 'N' */
	sex = ''; /* Sex criteria to apply to cohort; Valid values: 'A' 'F' 'M' 'U'; Leave blank if no restrictions */
	race = ''; /* Race criteria to apply to cohort; Leave blank if no restrictions */
	hispanic = ''; /* Hispanic criteria to apply to cohort; Leave blank if no restrictions */
	agestrat = '18-39 40-54 55-65'; 
	chartres = 'N'; 
	run;

	proc append data = work.cht 
			base = work.cohort force;
	run;
%end;

data out.&wpnum._cohort;
	set work.cohort;
run;

%mend;

%cohortcreate(grouplist);
