/*************************************************************************************************************************
9. Create Propensity Score Model Comparison File
**************************************************************************************************************************/

%let basename = C:/Public_Training_Materials/Lab;	

libname out "&basename./public_mpl1r_wp001_synpufs_v01/inputfiles";		
%let wpnum = wp001 ; 

%macro psm (title,analysis,eoi,ref);
	data psm&title.;
	format analysisgrp $40. matchanalysis $40. eoi $40. ref $40. caliper best12. ratio 8. class $999. noclass $999. 
           hdps $1. hdpswinfrom 8. hdpswinto 8. matchvars $40.;
	analysisgrp = "&analysis.";
	matchanalysis = 'PS';
	eoi = "&eoi."; /* Exposure of Interest; Valid values: typ_is typ_ich atyp_is atyp_ich; Required */
	ref = "&ref."; /* Reference Group; Valid values: typ_is typ_ich atyp_is atyp_ich; Required */
	caliper=0.05; /* Matching Caliper; Numerical; Valid values: Any value between 0-1; Required */
	ratio = 1 ; /* Matching Ratio; Numerical; Valid values: For 1:1 fixed matching, enter 1. 
	               For 1:n variable matching, enter numerical value for n; Required */	
    class='Sex Covar1 Covar2 Covar3 Covar4 Covar5 Covar6 Covar7 Covar8 Covar9 Covar10 Covar11 Covar12'; 
	noclass='Age';
	hdps='N';
	hdpswinfrom=.;
	hdpswinto=.;
	matchvars='';
	run;
%mend;

%psm (1,ischemic_stroke,typ_is,atyp_is);  /* Fill in label for analysis, group 1 name (exposure of interest), and group 3 name (reference group) */
%psm (2,intracranial_hemorrhage,typ_ich,atyp_ich); /* Fill in label for analysis, group 2 name (exposure of interest), and group 4 name (reference group) */

%macro exportpsm(start,end);
	data out.&wpnum._psm;
		set %do i=&start. %to &end.;
				psm&i.
			%end;
		;
	run;
%mend;

%exportpsm(1,2);
